#{extends 'borderNG.html' /}
#{set 'titleHead'} Pembayaran #{/set}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">Paket Tender PPK</a></li>
	<li><a href="@{kontrak.SppbjCtr.sppbjPpk(kontrakx.lls_id)}">e-Kontrak</a></li>
	<li class="active">Pembayaran</li>
</ol>

<div class="content">
#{alert /}
#{form @kontrak.PembayaranCtr.simpanBap(kontrakx.kontrak_id), name:'formBAPembayaran', enctype:"multipart/form-data", method:'POST'}
	<div class="bs-callout bs-callout-info"><strong>Informasi Paket</strong></div>
  		<table class="table table-sm">
    		<tr>
				<td width="250px">Kode Tender </td>
				<td>${lelang_detil?.lls_id}</td>
			</tr>			
			<tr>
				<td>Nama Tender </td>
				<td>${lelang_detil?.pkt_nama}</td>
			</tr>
			<tr>
				<td>No. Surat Perjanjian </td>
				<td>${kontrakx?.kontrak_no}</td>
			</tr>			
			<tr>
				<td>&{'tag.klpd'} </td>
				<td>${lelang_detil?.nama_instansi}</td>
			</tr>			
			<tr>
				<td>Nilai Kontrak</td>
				<td>${kontrakx?.kontrak_nilai?.rupiah()}</td>
			</tr>			
		</table>
		<div class="bs-callout bs-callout-info"><strong>Pihak Pertama</strong></div>
		<table class="table table-sm">
			<tr>
				<td width="250px">Nama PPK</td>
				<td>${kontrakx?.ppk?.pegawai?.peg_nama}</td>
			</tr>
			<tr>
				<td>NIP PPK</td>
				<td>${kontrakx?.ppk?.pegawai?.peg_nip}</td>
			</tr>
			<tr>
				<td>Jabatan PPK</td>
				<td>${kontrakx?.ppk?.ppk_pembuat_sk}</td>
			</tr>
			<tr>
				<td>No. SK PPK</td>
				<td>${kontrakx?.ppk?.ppk_nomor_sk}</td>
			</tr>
			<tr>
				<td>Jabatan Penandatangan SK <span class="warning"> *</span></td>
				<td>
					<input name="bap.jabatan_penandatangan_sk"  value="${flash.contains('bap.jabatan_penandatangan_sk')?flash['bap.jabatan_penandatangan_sk']:bapx?.jabatan_penandatangan_sk}" type="text" class="form-control #{validate 'bap.jabatan_penandatangan_sk' /}" />
					<div class="invalid-feedback">#{error 'bap.jabatan_penandatangan_sk' /}</div>
				</td>
			</tr>
			<tr>
				<td>Nama Satuan Kerja</td>
				<td>${lelang_detil?.paket?.getNamaSatker()}</td>
			</tr>
			<tr>
				<td>Alamat Satuan</td>
				<td>${lelang_detil?.paket?.getAlamatSatker()}</td>
			</tr>
			<tr>
				<td>K/L/P/D</td>
				<td>${lelang_detil?.nama_instansi}</td>
			</tr>
		</table>
		<div class="bs-callout bs-callout-info"><strong>Pihak Kedua</strong></div>
		<table class="table table-sm">
			<tr>
				<td width="250px">Nama Penyedia</td>
				<td>${kontrakx?.rekanan?.rkn_nama}</td>
			</tr>
			<tr>
				<td>Alamat Penyedia</td>
				<td>${kontrakx?.rekanan?.rkn_alamat}</td>
			</tr>
			<tr>
				<td>Wakil Sah Penyedia <span class="warning"> *</span></td>
				<td>
					<input name="bap.kontrak_wakil_penyedia"  value="${flash.contains('bap.kontrak_wakil_penyedia')?flash['bap.kontrak_wakil_penyedia']:bapx?.kontrak_wakil_penyedia}" type="text" class="form-control #{validate 'bap.kontrak_wakil_penyedia' /}" />
					<div class="invalid-feedback">#{error 'bap.kontrak_wakil_penyedia' /}</div>
				</td>
			</tr>
			<tr>
				<td>Jabatan Wakil Penyedia <span class="warning"> *</span></td>
				<td>
					<input name="bap.kontrak_jabatan_wakil"  value="${flash.contains('bap.kontrak_jabatan_wakil')?flash['bap.kontrak_jabatan_wakil']:bapx?.kontrak_jabatan_wakil}" type="text" class="form-control #{validate 'bap.kontrak_jabatan_wakil' /}" />
					<div class="invalid-feedback">#{error 'bap.kontrak_jabatan_wakil' /}</div>
				</td>
			</tr>
		</table>
		<div class="bs-callout bs-callout-info"><strong>Form Berita Acara Serah Terima (BAST)</strong></div>
	    <table class="table table-sm">
    		<tr >
    			#{if bapx?.bap_id!=null}
  					<input type="hidden" name="bap.bap_id" value="${bapx.bap_id}">
  				#{/if}
				<td width="250px">No. BAST <span class="warning">*</span></td>
				<td>
					<input type="text" class="form-control  #{validate 'bap.bast_no'/}"  name="bap.bast_no" value="${flash.contains('bap.bast_no')?flash['bap.bast_no']:bapx?.bast_no}" />
			      	<div class="invalid-feedback">#{error 'bap.bast_no' /}</div>
				</td>
			</tr>

			<tr>
				<td>Tanggal BAST <span class="warning">*</span></td>
				<td>
					<div class=" input-group date width-normal datepicker">
				       <input name="bap.bast_tgl"  value="${flash.contains('bap.bast_tgl')?flash['bap.bast_tgl']:bapx?.bast_tgl?.toDatepicker()}" type="text"
							  class="form-control datepicker #{validate 'bap.bast_tgl'/}" />
						<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						<div class="invalid-feedback">#{error 'bap.bast_tgl' /}</div>
                    </div>
				</td>
			</tr>			
			<tr>
		</table>

		<div class="bs-callout bs-callout-info"><strong>Form Berita Acara Pembayaran (BAP)</strong></div>
	    <table class="table border tables1">
    		<tr >
				<td width="250px">No. BAP<span class="warning"> *</span></td>
				<td>
					<input type="text" class="form-control  #{validate 'bap.bap_no'/}" name="bap.bap_no" value="${flash.contains('bap.bap_no')?flash['bap.bap_no']:bapx?.bap_no}" />
				    <div class="invalid-feedback">#{error 'bap.bap_no' /}</div>
				</td>
			</tr>
			
			<tr>
				<td>Tanggal BAP<span class="warning"> *</span></td>
				<td>
					<div class="input-group date width-normal datepicker">
						<input name="bap.bap_tgl"  value="${flash.contains('bap.bap_tgl')?flash['bap.bap_tgl']:bapx?.bap_tgl?.toDatepicker()}" type="text"
							   class="form-control datepicker #{validate 'bap.bap_tgl'/}" />
						<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
						<div class="invalid-feedback">#{error 'bap.bap_tgl' /}</div>
            		</div>
				</td>
			</tr>
			<tr>
				<td>Besar Pembayaran (Rp)<span class="warning"> *</span></td>
				<td>
					#{if sskk?.sekaligus}
						${bapx?.besar_pembayaran==null ? kontrakx?.kontrak_nilai?.rupiah() : bapx?.besar_pembayaran?.rupiah()}
						<input name="bap.besar_pembayaran"  value="${bapx?.besar_pembayaran}" type="hidden" />
					#{/if}
					#{else}
						<input id="hargaFinal" name="bap.besar_pembayaran"  value="${bapx?.besar_pembayaran}" type="text" class="form-control #{validate 'bap.besar_pembayaran'/}"  />
						<div class="invalid-feedback">#{error 'bap.besar_pembayaran' /}</div>
						<div class="bs-callout bs-callout-warning">
							Gunakan koma untuk pemisah desimal.
						</div>
					#{/else}
				</td>
			</tr>
			</table>

			#{if bapx?.bast_tgl!=null}
			<div class="bs-callout bs-callout-info"><strong>Dokumen</strong></div>
			<table class="table border tables1">
			<tr>
				<td width="250px">Dokumen Cetak BAST</td>
				<td><div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
						<i class="fa fa-plus-circle"></i>
						<span>Upload</span>
						<input id="fileuploadBast" type="file" name="file" />
					</div>
					<div id="progress-bast" class="progress" style="display: none;">
						<div class="progress-bar progress-bar-success"></div>
					</div>
					<div id="alert-upload-bast"></div>
					<input type="hidden" id="id_bast_attacment" name="bap.cetak_bast_attachment" value="${bapx?.cetak_bast_attachment}" />
					<table class="table table-sm table-striped" id="filesBast">
						<thead>
						<th width="50%">Nama File</th>
						<th width="40%">Tanggal Upload</th>
						<th width="10%">Aksi</th>
						</thead>
						<tbody>
							#{list items:bapx?.dokumenBast, as:'dok'}
							<tr>
								<td>#{download dok/}</td>
								<td>${dok?.blb_date_time?.formatDateTime()}</td>
								<td><a href="javascript:void(0)" class="removeDokBast" versi="${dok.blb_versi}">
									<i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a>
								</td>
							</tr>
							#{/list}
						</tbody>
					</table>
				</td>
			</tr>
			#{/if}
			#{if bapx?.bap_tgl!=null}
			<tr>
				<td  width="250">Dokumen Cetak BAP</td>
				<td><div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
						<i class="fa fa-plus-circle"></i>
						<span>Upload</span>
						<input id="fileuploadBap" type="file" name="file" />
					</div>
					<div id="progress-bap" class="progress" style="display: none;">
						<div class="progress-bar progress-bar-success"></div>
					</div>
					<div id="alert-upload-bap"></div>
					<input type="hidden" id="id_bap_attacment" name="bap.cetak_bap_attachment" value="${bapx?.cetak_bap_attachment}" />
					<table class="table table-sm table-striped"" id="filesBap">
						<thead>
						<th width="50%">Nama File</th>
						<th width="40%">Tanggal Upload</th>
						<th width="10%">Aksi</th>
						</thead>
						<tbody>
							#{list items:bapx?.dokumenBap, as:'dok'}
							<tr>
								<td>#{download dok/}</td>
								<td>${dok?.blb_date_time?.formatDateTime()}</td>
								<td><a href="javascript:void(0)" class="removeDokBap" versi="${dok.blb_versi}">
									<i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a>
								</td>
							</tr>
							#{/list}
						</tbody>
					</table>
				</td>
				<div class="bs-callout bs-callout-warning">
					Dokumen yang dapat di upload hanya file/dokumen yang memiliki ekstensi <strong><i> ${allowedExt}</i></strong>.
				</div>
			</tr>
			#{/if}
			<tr>
				<td colspan="2">
					<button type="submit" name="simpan" class="btn btn-success confirm" title="Apakah Anda yakin akan menyimpan data Pembayaran ini?"> <i class="fa fa-save"></i> Simpan</button>
     				#{if bapx?.bap_id!=null}
     				<a href="@{kontrak.PembayaranCtr.cetakBast(bapx.bap_id)}" class="btn btn-primary" target="_blank"><i class="fa fa-print"></i> Cetak BAST</a>
     				<a href="@{kontrak.PembayaranCtr.cetakBap(bapx.bap_id)}" class="btn btn-primary" target="_blank"><i class="fa fa-print"></i> Cetak BAP</a>
					#{/if}
					#{if tipePembayaran.equals('Sekaligus')}
						<a href="@{kontrak.SppbjCtr.sppbjPpk(kontrakx.lls_id)}" type="submit" name="simpan" class="btn btn-secondary"> Kembali</a>
					#{/if}
					#{else}
						<a href="@{kontrak.PembayaranCtr.daftarPembayaran(kontrakx.kontrak_id)}" type="submit" name="simpan" class="btn btn-secondary"> Kembali</a>
					#{/else}
				</td>
			</tr>	 	 
    	</table>
 	#{/form}
    <div class="bs-callout bs-callout-warning">
		<span class="warning"> *</span> Wajib Diisi
    </div>
</div>
	
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/numeral.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">  
	//karena di format util tidak ada fungsi format tanpa Rp dengan delimiter x.xxx.xxx,xx, sementara pake fungsi ini
	$( document ).ready(function() {
	    #{if !sskk?.sekaligus}
	    hargaFinal = new AutoNumeric("[name='bap.besar_pembayaran']", { digitGroupSeparator: '.', decimalCharacter: ',' });
	    #{/if}
	    var tgl = '${todayDate}';
        $(".form-control.tgl").focus(function (ev) {
            var vval = $(this).val();
            if(vval == ""){
                $(this).val(tgl);
                $(this).keyup();
            }
        });

        $(".form-control.tgl").focusout(function (ev) {
            var vval = $(this).val();
            if(vval == ""){
                $(this).val(tgl);
                $(this).keyup();
            }
        });
	});

	function formatCurrency(num) {
	    num = num.toString().replace(/\$|\,/g, '');
	    if (isNaN(num)) {
	        num = "0";
	    }

	    sign = (num == (num = Math.abs(num)));
	    num = Math.floor(num * 100 + 0.50000000001);
	    cents = num % 100;
	    num = Math.floor(num / 100).toString();

	    if (cents < 100) {
	        cents = "0" + cents;
	    }

	    for (var i = 0; i < Math.floor((num.length - (1+i)) / 3); i++) {
	        num = num.substring(0, num.length - (4*i+3)) + '.' + num.substring(num.length - (4*i+3));
	    }

	    return (((sign) ? '' : '-') + num + ',' + cents);
	}

	#{if bapx?.bast_tgl!=null}
	$(document).on('click', '#fileuploadBast', function(){
		var url = '@{kontrak.PembayaranCtr.uploadDokBast(bapx?.bap_id)}';
		$('#fileuploadBast').fileupload({
			url: url,
			dataType: 'json',
			acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
			done: function (e, data) {
				$('#progress-bast').hide();
				if (data.result.success) {
					$.each(data.result.files, function (index, file) {
						var upload_date = file.upload_date;
						var content = '<td><a href="'+ file.download_url+'"><span class="fa fa-download"></span> '+file.name+ ' - '+file.size+'</a>' + '<td>' + upload_date + '</td><td>' +
								'<a href="javascript:void(0)" class="removeDokBast" versi="' + file.versi + '">' +
								'<i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a></td>';
						$('#id_bast_attacment').val(file.id);
						$('<tr/>').html(content).appendTo('#filesBast');
					});
					$('#alert-upload-bast').html('<div class="alert alert-success" role="alert">&{'flash.fbd'}</div>').show();
				} else {
					$('#alert-upload-bast').attr('class', 'alert alert-danger fade in').html(data.result.message).show();
				}
			},
			progressall: function (e, data) {
				var progress = parseInt(data.loaded / data.total * 100, 10);
				$('#progress-bast').show();
				$('#progress-bast .progress-bar').css(
						'width',
						progress + '%'
				);
			}
		}).on('fileuploadprocessalways', function (e, data) {
			var file = data.files[data.index];
			if (data.files.error && file.error) {
				var msg = file.name+' - '+file.error
				$('#alert-upload-bast').attr('class', 'alert alert-danger fade in').html(msg).show()
			}
		}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
	});

	$(document).on('click', '.removeDokBast', function(){
		var versi = $(this).attr('versi')
		var parent = $(this).parent()
		var source  = #{jsRoute @kontrak.PembayaranCtr.hapusDokBast(bapx?.bap_id) /};
		BootstrapDialog.confirm({
            title: 'Konfirmasi',
            message: 'Apakah Anda yakin akan menghapus file ini?',
            draggable : true,
            closable : true,
            callback : function(result){
                if(result) {
                   $.ajax({
						type: 'POST',
						url: source.url(),
						data : {'versi': versi},
						success : function(){
							$('#alert-upload-bast').attr('class', 'alert alert-success fade in').html('File telah terhapus').show();
							parent.parent().remove()
						},
						error : function(){
							$('#alert-upload-bast').attr('class', 'alert alert-danger fade in').html('File tidak bisa dihapus').show();
						}
					})
                }
            }
        });
	});
	#{/if}

	#{if bapx?.bap_tgl!=null}
	$(document).on('click', '#fileuploadBap', function(){
		var url = '@{kontrak.PembayaranCtr.uploadDokBap(bapx?.bap_id)}';
		$('#fileuploadBap').fileupload({
			url: url,
			dataType: 'json',
			acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
			done: function (e, data) {
				$('#progress-bap').hide();
				if (data.result.success) {
					$.each(data.result.files, function (index, file) {
						var upload_date = file.upload_date;
						var content = '<td><a href="'+ file.download_url+'"><span class="fa fa-download"></span> '+file.name+ ' - '+file.size+'</a>' + '<td>' + upload_date + '</td><td>' +
								'<a href="javascript:void(0)" class="removeDokBap" versi="' + file.versi + '">' +
								'<i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a></td>';
						$('#id_bap_attacment').val(file.id);
						$('<tr/>').html(content).appendTo('#filesBap');
					});
					$('#alert-upload-bap').html('<div class="alert alert-success" role="alert">&{'flash.fbd'}</div>').show();
				} else {
					$('#alert-upload-bap').attr('class', 'alert alert-danger fade in').html(data.result.message).show();
				}
			},
			progressall: function (e, data) {
				var progress = parseInt(data.loaded / data.total * 100, 10);
				$('#progress-bap').show();
				$('#progress-bap .progress-bar').css(
						'width',
						progress + '%'
				);
			}
		}).on('fileuploadprocessalways', function (e, data) {
			var file = data.files[data.index];
			if (data.files.error && file.error) {
				var msg = file.name+' - '+file.error
				$('#alert-upload-bap').attr('class', 'alert alert-danger fade in').html(msg).show()
			}
		}).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
	});

	$(document).on('click', '.removeDokBap', function(){
		var versi = $(this).attr('versi')
		var parent = $(this).parent()
		var source  = #{jsRoute @kontrak.PembayaranCtr.hapusDokBap(bapx?.bap_id) /};
		 BootstrapDialog.confirm({
            title: 'Konfirmasi',
            message: 'Apakah Anda yakin akan menghapus file ini?',
            draggable : true,
            closable : true,
            callback : function(result){
                if(result) {
                   $.ajax({
						type: 'POST',
						url: source.url(),
						data : {'versi': versi},
						success : function(){
							$('#alert-upload-bap').attr('class', 'alert alert-success fade in').html('File telah terhapus').show();
							parent.parent().remove()
						},
						error : function(){
							$('#alert-upload-bap').attr('class', 'alert alert-danger fade in').html('File tidak bisa dihapus').show();
						}
					})
                }
            }
        });
	});
	#{/if}
 
</script>
#{/set}


 